This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 861211 - Queries to puppet repositories cannot be removed when updating the repository
Queries to puppet repositories cannot be removed when updating the repository
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: puppet-support (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.1.0
Assigned To: Michael Hrivnak
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 16:12 EDT by Jay Dobies
Modified: 2013-04-08 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-08 11:58:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Dobies 2012-09-27 16:12:08 EDT
A query is specified through a flag, using it multiple times for multiple queries:

pulp-admin puppet repo create --repo-id p --query http --query mysql

The problem with that approach is that there's no way to remove a query later.

The way we've handled this in the past is to use a single parameter and it contains all of the entries at any given time.

Initial Creation:
pulp-admin puppet repo create --repo-id p --queries http,mysql

Update to remove HTTPD:
pulp-admin puppet repo update --repo-id p --queries mysql
Comment 1 Michael Hrivnak 2013-01-09 14:51:47 EST
https://github.com/pulp/pulp_puppet/pull/23
Comment 2 Jeff Ortel 2013-01-19 11:59:36 EST
build: 2.1.0-0.1.alpha
Comment 3 Preethi Thomas 2013-01-23 15:34:29 EST
[root@preethi-el6-pulp ~]# pulp-admin puppet repo create
Command: create
Description: creates a new repository

Available Arguments:

  
  --queries      - comma-separated list of queries to issue against the feed's
                   modules.json file to scope which modules are imported.
  --query        - (deprecated) ignored if "--queries" is specified. query to
                   issue against the feed's modules.json file to scope which
                   modules are imported; multiple queries may be added by
  
The following options are required but were not specified:
  --repo-id
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# 
[root@preethi-el6-pulp ~]# pulp-admin puppet repo update
Command: update
Description: changes metadata on an existing repository

Available Arguments:

 
  --queries      - comma-separated list of queries to issue against the feed's
                   modules.json file to scope which modules are imported.
                   overwrites previous values.
  --query        - (deprecated) ignored if "--queries" is specified. query to
                   issue against the feed's modules.json file to scope which
                   modules are imported; multiple queries may be added by
                   specifying this argument multiple times
 
The following options are required but were not specified:
  --repo-id
[root@preethi-el6-pulp ~]# 




[root@preethi-el6-pulp ~]# pulp-admin puppet repo list --details
+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 feedless1
Display Name:       feedless1
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
  Id:               puppet_importer
  Importer Type Id: puppet_importer
  Last Sync:        2013-01-23T08:34:29-05:00
  Repo Id:          feedless1
  Scheduled Syncs:  
Distributors:       
  Auto Publish:        True
  Config:              
  Distributor Type Id: puppet_distributor
  Id:                  puppet_distributor
  Last Publish:        None
  Relative Path:       puppet/feedless1/
  Repo Id:             feedless1
  Scheduled Publishes: 

Id:                 p2
Display Name:       p2
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
    Queries: httpd, mysql
  Id:               puppet_importer
  Importer Type Id: puppet_importer
  Last Sync:        None
  Repo Id:          p2
  Scheduled Syncs:  
Distributors:       
  Auto Publish:        True
  Config:              
  Distributor Type Id: puppet_distributor
  Id:                  puppet_distributor
  Last Publish:        None
  Relative Path:       puppet/p2/
  Repo Id:             p2
  Scheduled Publishes: 


[root@preethi-el6-pulp ~]# pulp-admin puppet repo update --repo-id p2 --queries mysql
Repository [p2] successfully updated

[root@preethi-el6-pulp ~]# pulp-admin puppet repo list --details+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 feedless1
Display Name:       feedless1
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
  Id:               puppet_importer
  Importer Type Id: puppet_importer
  Last Sync:        2013-01-23T08:34:29-05:00
  Repo Id:          feedless1
  Scheduled Syncs:  
Distributors:       
  Auto Publish:        True
  Config:              
  Distributor Type Id: puppet_distributor
  Id:                  puppet_distributor
  Last Publish:        None
  Relative Path:       puppet/feedless1/
  Repo Id:             feedless1
  Scheduled Publishes: 

Id:                 p2
Display Name:       p2
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
    Queries: mysql
  Id:               puppet_importer
  Importer Type Id: puppet_importer
  Last Sync:        None
  Repo Id:          p2
  Scheduled Syncs:  
Distributors:       
  Auto Publish:        True
  Config:              
  Distributor Type Id: puppet_distributor
  Id:                  puppet_distributor
  Last Publish:        None
  Relative Path:       puppet/p2/
  Repo Id:             p2
  Scheduled Publishes: 


[root@preethi-el6-pulp ~]# pulp-admin puppet repo update --repo-id p2 --queries mysql,http
Repository [p2] successfully updated

[root@preethi-el6-pulp ~]# pulp-admin puppet repo list --details+----------------------------------------------------------------------+
                          Puppet Repositories
+----------------------------------------------------------------------+

Id:                 feedless1
Display Name:       feedless1
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
  Id:               puppet_importer
  Importer Type Id: puppet_importer
  Last Sync:        2013-01-23T08:34:29-05:00
  Repo Id:          feedless1
  Scheduled Syncs:  
Distributors:       
  Auto Publish:        True
  Config:              
  Distributor Type Id: puppet_distributor
  Id:                  puppet_distributor
  Last Publish:        None
  Relative Path:       puppet/feedless1/
  Repo Id:             feedless1
  Scheduled Publishes: 

Id:                 p2
Display Name:       p2
Description:        None
Content Unit Count: 0
Notes:              
Importers:          
  Config:           
    Queries: mysql, http
  Id:               puppet_importer
  Importer Type Id: puppet_importer
  Last Sync:        None
  Repo Id:          p2
  Scheduled Syncs:  
Distributors:       
  Auto Publish:        True
  Config:              
  Distributor Type Id: puppet_distributor
  Id:                  puppet_distributor
  Last Publish:        None
  Relative Path:       puppet/p2/
  Repo Id:             p2
  Scheduled Publishes: 


[root@preethi-el6-pulp ~]#
Comment 4 Preethi Thomas 2013-04-08 11:58:38 EDT
Pulp 2.1 released 


http://www.pulpproject.org/2013/04/05/pulp-2-1-0-released/

Note You need to log in before you can comment on or make changes to this bug.